
***Release Notes for Build 5064
	dontchangecustsalesid.flg (won't change the customer salesman based on who is entering the order)
	contactsalesprotect.flg
custship now stores contact ID
customer history - could show date/time information for SQL 9.1.6.x drivers
customer history - allow setting number of days to view (for really active customers), added "showing" dropdown to select number of days, default 30
wininet used for internet control (more stable, no activex)
can send email messages directly from within Response
customer shipmetns - added "showing" option for num days
reverse lookup for contact edit screen
contacts can be scheduled as leads in telemarketing module
added "file" option for telemarketing script management (contains file of IDs to work on)
salesman can be assigned from telemarketing script management screen (used with file option)
telemarketing SQl scripting made more efficient
require manager password to override lead assignment
A/R inquiry - allow setting of time to show only recent invoices
A/R inquiry - more efficient with SQL
Customer Quotes - select button was not working properly
View Quote from customer quotes now pulls up customer service lookup / quotes properly
attachments button for contacts
customer shipping addresses can have label "vacation, home, work"
contact save as shipping address was not saving all fields properly
contact CC BILLING type can be used for credit card AVS
media matchback based on contact address (more accuracy)
customer service comments for imported channel manager orders now saved with "WEB" as user instead of active user ID
if no billto data (like a paypal order), channel manager import will copy shipto data to billto data
quotes history button added to inventory items view
telemarketing lead reassignment (set a "from" and "to" and reassign)
MOM IMport Utility made more flexible






***Release Notes for Build 5065
	continuityforcegenerateorig.flg - in continuity membership maintenance, force generate on a gift order will bring up original order



***Release Notes for Build 5066
IMPL - set warehouse id to 1 failsafe
impord kit items - expansion made much more efficient
added comments to imported orders on hold list (when available)


***Release Notes for Build 5067

delay item restrictions until after qty is entered (optional - useful for minimum/multiples restrictions)
Variable Kits - changed to display expand/collapse buttons, enhanced display
Variable Kits - expand all, collapse all buttons

Order Lineitems displays work number/status (when applicable)
contact activity log
shipto gift message increased to 200 characters
order entry - when switching from totals to lines back to totals, the ship method and customer info could overwrite shipto info.
warn when duplicate customer POs entered.
"SHOWCONTACT:" added as internal hyperlink for telemarketing/pbx
Channel Manager - on order override allowed (formula)
Channel Manager - price break fixes
telemarketing callback date/time would not display contact if callback scheduled for same day



***Release Notes for Build 5068
SPE for order print updated to contain picking ticket (picbatch/lpicktrn) data.
"add to leads database?" default button changed to yes
A/R billing check when entering "terms" order.
"work" records not creating properly.

Variable Kits - remembers variable kit definition so can re-load variable kit display


dashboard doesn't refresh every time it is clicked on from another window


***Release Notes for Build 5069

Import Configurator (Color/Size) Data
Add Customer Shipping Address - button now disabled when no customer active.


***Release Notes for Build 5070
CV3Custom12Additional.flg

"allocate by requested ship date" option was not working properly in SQL version of check/correct allocated items.



***Release Notes for Build 5071
rounding error in components allocated to a workorder for partials available not always set properly after creating/receiving workorders


***Release Notes for Build 5072
items marked for posting (Channel Manager scheduled update)

***Release Notes for Build 5073

4 decimals in item pricing
import/receive dropships - wrong date was being used for po ship date (ship date) versus receipts/adjustments record (operating date)

***Release Notes for Build 5074
internal build


***Release Notes for Build 5075

sql constraint for find by last name zipcode
itempost
qty price breaks
merge customer record as contact
POs by Vendor - would not always load correct record at startup.


***Release Notes for Build 5076

certona
warehouse picklist as crystal report
visual workflow


***Release Notes for Build 5078*

"OTHER" as contact type default
Order Lineitems - enter would bring up gift card info instead of inventory info
Customer Quotes - select button would not load correct quote
customer service - quote shipto information would truncate/overlap address line 2 information.
receive dropship - would get "required message argument missing" message
option "do not print backorders" added to "work print"

registry pointer fixed (broken in build 5077) for remembering prior screen entries for reports

name case LLC would display as Llc.

date control would not resize properly with windows.

file numbers increased to 365 (internal)

window label for Response changed to display build then company name (per Windows standards).

New Flag options:
	itemrestrictiondelay.flg (minimum and multiples for restrictions)
	itemprice4decimal.flg
	pastdueholdreason.fil
	pbxcallbutton.flg
	continuityforcegenerateorig.flg
	pbxcontactexp.fil
	pbxvendorexp.fil
	continuitygiftrule.fil

Evertec credit card processing (offshore processor).

resize bitmap - error image not found, error removed.

re-enabled user counting

Variable Kits - changed to display expand/collapse buttons, enhanced display

Variable Kits - remembers variable kit definition so can re-load variable kit display

Variable Kits - expand all, collapse all buttons

Contacts - log entries

Discount Formula - could find the incorrect discount formula to use based on the shipping charge calculation shipmeth code.  this was disabled.

catprice can be used in shipping charge/discount formulas

"work" secondary process / can be used to output master/component information or anything about "work" items during work print.

personalization data can be used in item verification SPE (for printing labels, etc).

"allocate by requested ship date" option was not working properly in SQL version of check/correct allocated items.

new splash screens, bitmaps

Visual Workflow added as menu option

Contact Types addes as menu option

Workflow Documents can be managed.

Import Configurator (Color/Size) Data
Import Receipts and Adjustments
Import Media/Item Pricing
Import Customer contacts

gift Card processing

"work" management

Find customer by credit card number

Serial Numbers Shipped / Serial Number management for shipped items.

Chart of Accounts (wip)

Credit Level field added for customers.

Contacts user-defined fields management.

user-defined combo forms (pulldowns) now work for numeric fields (UDF).

Phone Lookup table - adds phone numbers to lookup table for customers, prospects, contacts, vendors for PBX purposes.

Customer lookup - constrain by last name zipcode now works more efficiently using sQL constraints.

product class lookup now optionally suppresses "old" classes.

4 decimals in item pricing allowed (optional / flag option).  qty pricing, media item pricing, contract pricing, etc.

mark items for posting (channel manager scheduled update)

inventory gift card fields

altigen PBX

Workflow documents

Contact Management (multiple contacts per customer)

pbx now displays customers, prospects, contacts, and vendors with phone lookup table.





***Release Notes for Build 5077
internal build

***Release Notes for Build 5078
internal build


***Release Notes for Build 5079

contact color highlighting via expression/formula

deleting a prospect will delete all child records as well

changed dropship value descriptions to include the corresponding code for clarity: Always (Y), Never (N), and Optional (O).

Channel Manager - Available Override option (use this formula for available quantity for inventory controls).

Telemarketing callback date/time dialog added Response Users lookup list (f4/prompt).

added generic "ValidateGroup" function to validate security groups for users

allow members of the MANAGER, SUPERVISOR, or SALESCHG group to change salesman assignment on leads. (SALESCHG is a new security group).

4-decimal places (option) in lineitem, added rounding for half-pennies using mathematical rounding (not roundUP rounding).

"Comments" button on POs by Item view would display incorrect or invalid or blank vendor for comments.

***Release Notes for Build 5080

object level security would not show combo/pulldown forms or spin forms

telemarketing call list would display error "invalid msg_do_rebuild_view_constraints"

A/R invoice inquiry totals speed enhancements (SQL)

A/R Invoice inquiry totals would only include totals for data on screen, now includes totals for all data regardless of the time window you are viewing.

Editing a contacts record from "customers / contact mgmt" would create a new contact record (a duplicate contact).  This has been fixed.




***Release Notes for Build 5081

new flag option to set initial credit level for customers.  creditleveldefault.fil

Channel Manager - quantity pricing export for CV3 works correctly for "base" configurator items.  Uses quantity pricing of first configured item of the base.


***Release Notes for Build 5082

Channel Manager XML setup can read optional configuration file (other than ChannelManager.xml).  Useful for scheduled tasks using multiple web stores.

Customer Automatic Credit Level Management - A/R feature which allows automatic credit level management.   2x payment amount becomes credit limit.  Only level 5 can place on account orders.


credit card encryption on historical data now encrypts CUSTCARD data (prior cards for customer).


***Release Notes for Build 5083

TransFirst - Q1 Declines Fix.  TransFirst will backout an auth after 7 days.  If Response attempts to settle after 7 days, it will get a Q1 settlement decline.  Response will then attempt an auth/capture request of the funds in the background to 'manage' the transaction automatically.


***Release Notes for Build 5084

importorderautohold.fil - specifies hold reason for imported orders, orders auto-hold for this reason

kit available number would count unpickable inventory for display when using kitavlcm.flg (info only, allocation not affected)

UPS OnLine Tools - added support for "UPS Saver" service level

UPS OnLine Tools - international RAte Shop made available in totals tab

Customer Orders / Select Order - would load order for edit without locking for modification

daily deposits - warns when entering deposits for an A/R order (points to A/R cash receipts)

debits/credits / [Order] button would load order in Order Entry.  Changed to load in Customer Service Lookup

POs by Vendor - changed to load order in customer service instead of order entry

PO Entry - save and print, would not load address header/return address info correctly (truncates)

***Release Notes for Build 5085

gift card expiration - adds ability, per gift card Item, to add an expiration number of days or an expiration date.



***Release Notes for Build 5086

orders on hold, view order button - did not relocate/resize properly

counter sales now supports Gift Cards (automatic activate/redeem)

CC encryption utility, could potentially skip customer prior credit card  records (CUSTCARD) /rare


***Release Notes for Build 5087

internal - sha1 and sha256 hash functions for PCI/PA work

CV3 - can import a CV3 order range (optional), instead of all orders

can specify .RPT file as part of picking ticket advanced setup, and save with .PSL


***Release Notes for Build 5088

when changing the shipto configuration on an order (assigning or changing lineitems related to shiptos), the shipping charge is typically reset.  A flag option was added to override the reset. [shiprecalcshipto.flg]

added flag option to warn/suggest recalculation of shipping charge when
changes made to the order or lineitems. [warnshiprecalc.flg] {nathosp}

added flag option which allows credit card payment of A/R invoice
[allowccforarpayment.flg].  performs a "one pass" credit card transaction,
then allows you to apply that amount toward customer invoice(s).

mustang technologies / offshore credit card processor (one pass) {global
pharmacy}

allow manual lead edit for contacts "T" for contact.

fixed default for "create lead now" question to "no" instead of "yes".

customer service / contacts - save note would not work properly unless contact
added to Leads table.  this has been fixed.

now logging order unlock step.

new fields in sysfile for PCI/PA work

adding leads using telemarketing manager scripts would only add one lead at a
time.  this has been fixed

inventory on order drilldown - would not display on order quantities over
99999.

***Release Notes for Build 5089

global change to database pointer to ensure embedded SQL always gets data from company-specific database.  in rare cases, reports and/or screens could come up with blank data.

item history / purged item history - could get error "invalid accelerator key destination" when pressing <ENTER> after entering keyword

A/R check at order save checks OPEN orders as well as shipped/open A/R when calculating credit available

***Release Notes for Build 5090

sql_cancel_query_stmt -- global change to embedded SQL calls to close SQL Cursors

moved "Qty Price Breaks" button in inventory screen to avoid truncating note about qty price breaks being available

use "convert" sql function to avoid blob cursors.  would cause Response to crash on next re-use of blob cursor.

internal: wininet form post functions

PEX/Evertec/Mustang credit card work for Global Pharmacy (audit trail)
ccchk for processor work for Global Pharmacy (don't allow same card to same processor)

Changed "Credit Avail:" label in Customers to "House Credit:"  to avoid confusion with A/R.

Salesperson ID Code in Customers now displays salesperson full name instead of just ID.

Customer Credit Level - changed level label to Lev: to avoid data truncation.

Channel Manager - checkbox to allow sending ONLY category and items within category ORDERING changes (order of categories).

***Release Notes for Build 5091

Fedex Rates/Tracking
USPS Rates
USPS Tracking

Channel Manager - Product Import supports ADDITIONAL items (CV3)

Gift Cards - whitespace in gift cards could cause balance/redeem issues (fixed)

"Local Time" button in outbound telemarketing manager would not adjust location properly on screen resize.

***Release Notes for Build 5092

Purchase Orders - Import/Confirm DropShip Purchase Orders menu item could be greyed out incorrectly.

STATE record could change within customer record.  Removed STATE relationship among all customer/prospect/shipto tables and programmatically enforcing table relationship.

internal: Ctrl+K will EVAL test an expression in Expression Editor

Continuity: initial funding for gift subscription.   added flag option for "continuity no prepaid".  WOM

Channel Manager-  html-encoding attribute descriptions
                Import of Attribute Items checks whether attributes already exist in Response to avoid duplicate attribute creation.

sql_cancel_query_stmt -- global change to embedded SQL calls to close SQL Cursors (fixed some that we missed in 5090)

Order Entry / Shiptos -- checking order last shipto ID to ensure that when shiptos are deleted, the order "last shipto ID" is repointed or zeroed.  This avoids creation of blank shipto entries during lineitem entry.

Order-to-Quote and Quote-To-Order to stored procedures.

Service Items - could display "this item is backordered" during the Order Entry process.

Lineitem QTY could show as ##### on orders with large quantities in Order/Shipto Lineitems (lookups)

"acct Bal:" changed to "House Credit" in customer service lookup.

finding the ord_d record so confirm by customer type shipping charge rules could evaluate external order demographics

Workorders - could change a workorder linetiem to an item that was NOT a finished good

CommerceV3 Connector changed to Configure Channel Manager Connector.
CommerceV3 account changed to Sub Account

Visual Workflow - fixed save to registry issue.  Fixed problem where default workflow would not be the default in the combo pulldown.

***Release Notes for Build 5093

"Select Category" treeview optimized to expand children on-the-fly.

FORCESHIPRECALC flag option (national hospitality)

Continuity -- Batch Code to use/set if items manually added to order.

Picking Tickets -- added option to print orders containing ONLY the selected items.

Variable Kits -- if component group qty set to more than 1, that selection is presented that many times to allow different variations of the same component group within a single variable kit.

PCI - password requirements

ADdress Correction - if nonspecific match and apt/suite number entered without "apt" or "ste" designation, the results could switch.

Continuity - add items to ship with next scheduled shipment.

IS_Prepaid_Order function was not properly restoring lineitem record buffer (attempt to avoid order/line display change in OE)

Order-to-Quote, quote-to-Order, removed stored procedure calls, was causing issues.

Contacts - was not setting lead salesman properly when creating lead from customer service, corrected to set it to logged in username.

Picking Tickets - changed setting which checked ship completes to check ufo/ufs percent shippables 100 or higher (instead of <> 100)   - rare issue for R-Jettek

passwords - showing strength, storing hashes instead of reversible encryption, allowing case sensitive passwords, long passwords

***Release Notes for Build 5094

Channel Manager - allows import of Auth.Net or TransFirst auth reference numbers (for auth-on-the-web, settle-in-Response)

PO Print by Vendor

***Release Notes for Build 5095

internal - PCI login checking

Auto-Creation of "key custodian" security group

Added PCI Security Management menu option
Credit Card re-encryption
password attempts tracked/logged
credit card debug mode masks credit card data
wiping CVV codes
encrypting card data wherever stored (encrypt sooner in OE)
Imported Orders in Exceptions could show full credit card numbers (now encrypting)
PCI Security Management screen
password policies

removed "Paymentech" as a credit card processor (Orbital/Paymentech still supported)

Warehouse Availability Popup would popup for dropship ALWAYS items and should not (Bug #115)

Channel Manager - custom form data to lineitem message (Olive & Cocoa)

***Release Notes for Build 5096

internal build

***Release Notes for Build 5097

DISABLEENTER - disables <ENTER> key to navigate to next tab in Order Entry

Discount Formulas were calculated using default shipping charge formula using SHIPMETH naming convention (in other words, Discount could equal shipping amounts when discount formulas used)

internal WinInet ssl work

Added "Service Item" checkbox to create-item-on-the-fly dialog

forcing uppercase to coupon code entry field.

***Release Notes for Build 5098

Item Configurator - don't display "N/A" items in  item configurator

flag option - TAGKeyword - pipe-delimited list of inventory tag(s) which should be parsed into inventory keywords

Workorders - clicking "view default FG definition" after clicking "how many more can I build" would display a blank bill of materials (R-Jettek)

Channel Manager - ShipTo Phone data could contain bad formatting information "(" or ")" which causes Response to truncate the phone number info

Contact notes would not save unless you saved the contact as a lead (Tower Products)

***Release Notes for Build 5099

Breakdown of finished good would not allocate to open orders

***Release Notes for Build 5100

Crystal Runtime - views in the R4W_* databases, when prefixed with "view_" will have their database properties set correct (server, user, password)

Channel Manager - custom formdata to personlized "miscellaneous" field.

Imported Orders on hold would not pass credit card checks, causing problems with generating the order.

Imported Orders - credit card encryption ensured

Personalization Data - Misc Notes field.

Ctrl+A triggers "select all" in personalization data edits.

importing a prospect using Ctrl+P in order entry could wipe out a customer record (ovewriting it with prospect info).

force shipping recalculation in order entry, removed prompts to tell user "press enter to recalculate shipping"

modifying a DropShip purchase order (status = "D") would blank out the PO status, making it impossible to print

POS by Number would not display vendor comments correctly.

***Release Notes for Build 5101

new flag option - warncostpricezero.flg -- causes order entry lineitem warning of "price is less than cost" to display even when price is zero.

Variable Kits - Mix and Match.  Component groups marked "mix and match" will allow quantity entry up to total amount of component group.

address correction - suite/apt switching with address line 1.   when "default match used, suite/apt# will provide more accurate match" reply received, address line and address line 2 would occasionally switch, resulting in an invalid address.  This was often the case when suite or apartment number was entered without the Apt# Suite# or # designation.

order entry lineitem entry optimized - excessive data reads were identified and eliminated in the lineitem entry process.   This would cause, for example, really large orders (> 100 lines, e.g.) to become slower and slower the more lines that were entered.

leads - now storing date lead is assigned in LEADS.DATE_ASSIGNED.   When a lead is assigned to a salesman or REassigned, the leads.date_assigned date will set to current date (for reporting, etc).

Print Letter function - now includes all fields for customer, prospect, contact.  full field set included for each type of letter.  Use new template ResponseData.doc included in 5101_Update.zip, maintains backwards compatibility for older templates.
                        now supports print letter functionality for contacts
                        print letter functionality for vendors

sales ID in callback date dialog (telemarketing/call list) is now forced capitalize.   could enter mixed case before.

Order Gift Message - zoom functionality allows text/mode entry, word wrapping, increased from 100 to 255 characters, Alt+M hot key

Contacts - country for non-USA countries was not saving correctly, would revert to USA

lineitem drop ship flag not clearing when item ID changed from dropship item to non-dropship item - defect #110

Order Entry - Alt+O jumps to Company entry (new hot key)

customer state forced to uppercase in Order Entry screen (could enter lowercase states starting with build 5092)

Order/Customer Audit Log stores cancel reason for order canceled activity message.

Customer Service Screen - allow security to modify enabled/disabled state of buttons.   For example, the "Select" button in Customer Service Lookup / Orders, even though disabled in security, could enable based on data in Response.  Security rules apply for Customer Service Lookup buttons now.

Tax on Shipping - if system set to charge actual shipping AND to replace order (sysoent) shipping amounts with actuals AND sales tax is charged on the shipping amount, then the tax amount could be overcharged by the amount of tax on the actual shipping amount (3 Rivers reported)

Bin Creation Utility - could cause "duplicate records not allowed" error.

CommerceV3/Channel Manager - send order status (beta)

Over/Under Payments Report - first column labeled "Order Date" instead of "Order Number" (new ovunder.rpt)

***Release Notes for Build 5102

flag options
        VARKIT2.flg - use alternate variable kit builder (uses forms/searches instead of tree view).  Do not use with "mix and match".
        OESHIPFUL.flg - default all new orders to "ship complete" (also known as "ship in full")

Order-Level Restrictions
        allows rules-based restrictions evaluated at Order Save.  Will prevent an order from saving.  e.g. don't allow orders to destinations in Canada.  Don't allow ground shipments to hawaii. etc.
        driven by orderrestrictions.fil - points to expression which creates rules.  sample rule set:
                **ORDERRESTRICTIONS**
                Order total Exceeds $750,eval:(SYSOENT.order_total > 750)
                Number of Items Exceed 100,eval:(SYSOENT.total_num_items > 100)
                **SHIPTORESTRICTIONS**
                 Hawaii Alaska or Puerto Rico no Ground,eval:((SHIPTO.STATE = "HI" or SHIPTO.STATE = "AK" or SHIPTO.STATE = "PR") and (SHIPTO.SHIPMETH_CODE="UPS"))
                **LINEITEMRESTRICTIONS**
                Line Too Expensive!,eval:(lineitem.item_price > 100)

Store Reference/Retail Shipping in Order Header.
        specify the default/standard shipping charge formula in REFSHIPFORMULA.FIL - Response will calculate shipping using this formula and store in sysoent.ref_ship_charge

Related Items Reciprocation
        flag option RELATERECIPROCATE.FLG will create reciprocal product relationships when adding relationships under "Related Items"

Automatic Kit Substitutions
        AUTOKITSUBSTITUTIONS.flg - attempt to use products defined as subsitutes to remedy backorder situations for kit masters (e.g. gift basket, if out of peanuts, and subtitute CASHEW exists, substitute the components with CASHEW to keep kit from backordering). [O&C]

Daily Summary Analysis - would log "record not found" in syserror.log multiple times.

Kit Items with Service Items would backorder at print time.  This has been corrected.

Now storing lineitem-level discount amount in lineitem.other_charge.  This is used for purposes of retrieving the amount of a lineitem that was discounted.  (used with discount formulas)

Media/Source Codes - store "Start" and "End" dates.

Personalization Data - Import via IMPORD, data could become corrupted on large format data.  This personalization data import has been corrected.

Import Customer/Item History - Customer Number could import as "0".  This has been corrected.

Channel Manager
        CommerceV3 Connector
                now supports Category Filters
                import products now supports min/max product ID (CV3 ID).
        Amazon Connector (beta) - contact support@colinear.com for info
        Magento Connector (beta) - contact support@colinera.com for info
        General
                Category/Item Management - tag edit does not reset to beginning of list.

Product Substitutes - allow ranking of product substitutes

Customer Activity Log
        Quotes were not displaying lineitem information.

Vendor Comments
        Loading/saving of vendor or PO comments was taking a long time.  invalid index was causing a table scan of the data.  this has been corrected.

Credit Card - One Pass - Order Entry screen [Authorize] button now manages "balancing" an order.  e.g. remove item, press [Authorize] will credit the card.
        Currently works with Authorize.Net only.
        Displays "accumulated returns" on the order entry screen for this purpose as well.

Accounts Receivable - Pay invoice via Credit Card - TransFirst expiration dates were invalid, this has been corrected.

ShipTo Screen - added "Billing Code" field.  Entry only, 20 characters, for customer use.

Standing Orders / Continuity - Country was not available for entry.  This has been corrected. [Bug #144]

Service Items - Order Entry popup for "warehouse available" no longer pops up for service items.

Lineitem Saves / General - lineitem save speed optimized.

Quotations
        Removed "Hold" button for quotations, as it has no meaning (and caused problems when clicked).
        Changed "Save & Print" button for quotes to call normal "save quote" dialog.

Returns - now saving RMA number with the RETURNS record when availalbe (new field returns.rma_no).

Inventory Net Value Report - now ignores service items.

Mailing Lists/Labels
        Can now save/load/append mailing lists
        Can perform includes/excludes based on stored mailing list.
        Can perform "nth select" on mailing list data.
        Can perform "removes" using SQL syntax.
        Can build "email only" lists.

Work
        Can store form/rpt name with each work type
        Can specify work number range to print.
        Can "unprint" work by work number range.
        Will no long print work for (D)eclined or (H)old orders.

Picking Ticket  Advanced Options.

       picking tickets screen has been changed to allow setting of alternate report name (*.RPT file) in the "Advanced" button,        and that setting will save in "save setup" and load in "load setup".

       If you specify an alternate to picktick.rpt here any entry in rptmap.fil for picktick.rpt will NOT override it. But an entry in              rptmap.fil overriding the name entered here would override (but that would be kindof dumb <g>)



FedEx - real-time rate quotes was not working properly.  Can now be used in shipping charge formulas.

Password Change dialog was not functioning properly.

***5102f

Channel Manager would error with "invalid symbol in expression SHIPTO" in certain cases

Channel Manager scheduled order downloads enabled

***5103

Bug #188 - Date Advance Function - adding a month interval would not ways result in date for next month (e.g. 8/1 -> 8/31).
Bug #172 - Dropships were doubling order qty in some cases.
Bug #177 - Color highlighting could disappear when leaving/coming back to screens.
Bug #167 - SQLSTATE: HYT00 - Execute failed:  (status 25000) addressed
Bug #165 - security settings on order number field in Order Entry could affect order number field in Customer Service Lookup.
Bug #130 - Variable Kits - variable kit configuration would not always remember current component selections when editing the variable kit.
Bug #189 - Import Personalization Data through IMPORD - long text could get jumbled.
Bug #190 - "Record Not Found" related to DROPPO and Quotes, causing Order Entry Problems
Bug #191 - State Code could default to "AS" in Order Entry
Bug #192 - Channel Manager - Debug Logs were writing to c:\ (root) folder.   Now writes to company data folder.
Bug #193 - TAG Edit - Editing a TAG would return you to the beginning of the TAG list.
Bug #183 - Purged Item History - keyword search would return error if you exit the screen with keyword active.
Bug #194 - Customers / Shipping Addresses now sorts by last name

Feature #165 - Deleting/Canceling an order with Payments Applied will update Customer House Credit and log a customer service comment
Feature #156 - Orders on Hold - Add select/constrain/pulldown for Reason ID, Salesperson ID
Feature #159 - Import Catalog Pricing (catpric2)
Feature #149 - Apply a Deposit to a Quote
Feature #164 - TransFirst - "One Pass" enhancements to allow credits and balancing of order within the Order Entry screen.
Feature #091 - Kit Component Subsitutions
Feature #160 - Customer Service Comments - Make Statuses Configurable
Feature #161 - TAG HTML Editor - Can configure an external HTML Editor for modifying TAG data.
Feature #162 - Item Alias Pricing - Can set catalog ID (optional)
Feature #163 - Inventory Items - Web Info tab rearranged for easier use

****10.1.5104 Release Notes

Feature #238 - Avalara / Avatax - Connector
Feature #202 - Coupon Builder, added coupon #2 and coupon #3 to order screen and order table
Feature #233 - Response Submits order tracking information automatically when orders are confirmed (CommerceV3 web service)
Feature #188 - changes to order entry and flag options to allow for price "lock" so that when CSR enters a price it doesn't change when they later change the quantity of the item.  lockprice.flg
Feature #194 - increase purged item HISTORY item ID field length(35), add item description(50) and status(1) columns
Feature #152 - Drop Ship Items - Appear in color blue in Order Entry lineitems.
Feature #192 - item description and status added to purged item history table
Feature #230 - quotekeeporddate.flg - keep order date from original quote as quote moves to order and back
Feature #231 - lockprice.flg - always lock prices once entered, force override to change prices
Feature #237 - ordersrcrpt.fil - automatically print order report for these order sources
Feature #236 - orderrvwrpt.fil - allow printing order from the Order Review screen, using this report
Feature #227 - disableauthnetretries.flg - disable authorize.net retry logic for missing auth transactions or captures higher than auth amount.
Feature #226 - continuity clubs can have their own shipping charge formula - just name the shipping charge formula the same name as the continuity club
Feature #168 - Counter Sales - cash drawer reconciliation, register creation, register audit, reconciliation report. counter sales startup now prompts for store/register
Feature #225 - catalog pricing expiration, added "prices expire" date to catalog header
Feature #205 - web order id added to customer service / lookups
Feature #224 - can enter discount amount in enter debit/credits records
Feature #223 - can collect credit card information when creating RMAs
Feature #223 - credit/debits can reference RMA for credit card purposes, credit/debits can be "reference" transactions only and not create credit card transactions.
Feature #232 - Amazon connector - added option to NOT perform automatic order adjustments for order cancellation and order returns.
Feature #234 - max length of sCV3data for use in IOX changed from 80 characters to 255 characters
Feature #235 - order messages can be mapped in IOX file for channel manager, IMPM.MESSAGE_1, IMPM.MESSAGE_2, IMPM.MESSAGE_3
Feature #239 - customer service lookup - gift card amount field added and made visible
Feature #240 - credit card zoom button added to customer prior credit cards used
Feature #241 - customer/order returns grid added return ID
Feature #242 - removed some of the "required" settings on catalog header entry (# pages, publish date, qty printed, total cost, page height, page width
Feature #243 - added "Mark as Captured" button to credit card transactions screen to allow users to mark deposit transactions as captured if they were captured outside of Response.  This should rarely be needed.
Feature #244 - added company name to orders on hold screen.
Feature #244 - added order total and syscust.a2 to orders on hold screen
Feature #245 - Returns button in customer service lookup / orders or customer service lookup / customers will appear as *Returns* when returns are present for an order
Feature #246 - added "ship complete" checkbox to customer service / orders screen for visibility
Feature #229 - catalog differential pricing grid now resizable
Feature #228 - A/R Statements - added option to always print order number as customer reference (never customer PO# when available)
Feature #202 - added coupon codes and discount logic to counter sales
Feature #247 - added crystal report option to counter sales receipt (optional)
Feature #168 - Added store address information to counter sales setup screen (for tax/other purposes).  This store information used for SHIPTO for in-store orders.
Feature #248 - Terminal Server - Registry Storage changed for last logged in user now stored in hkey_current_user instead of hkey_local_machine - works much better for terminal server users

Bug #202 - Category Tree - deleting a category would not delete children
Bug #202 - Category Tree - re-assigning parent of category did not update the category
Bug #203 - could login to Response with non-existing username
Bug #166 - users can't change password
Bug #212 - deconfirm dropship shipment does not unreceive line
Bug #211 - Merge/Purge Known Duplicates - Entering the same customer # in both fields deletes the customer
Bug #213 - Authorize.Net - Use Credit Card to Pay A/R Balance not working properly
Bug #141 - copying shipto information as contact failed to copy phone number
Bug #224 - duplicating a shipto would copy weight information (even though no lines assigned)
Bug #186 - when editing an order with an A/R contact record assigned, Response would warn there was an A/R contact record for the customer but it was not selected.
Bug #226 - flag option to include NFR items in keyword lookup was not working properly
Bug #219 - check/correct allocated items would remove allocation from service item kit components
Bug #225 - auto-reciprocation of related items was not working properly
Bug #223 - address correction and standardization could reverse address lines 1 and 2.  address correction improved when dealing with suite/apartment/unit numbers
Bug #222 - standing orders involving kit masters would not allocate the components properly
Bug #197 - imported orders were not saving credit card information for customer prior credit cards properly
Bug #240 - customer credit level management improved.  changes include only allowing on account for level 5, and only increasing the credit limit for level 4 and 5.
Bug #240 - customer credit level now set properly as orders are imported from the website (prepaid, automatically sets the credit level to twice the received payment)
Bug #229 - &amp; was displaying in certain name/address information when imported with web orders (Channel Manager)
Bug #230 - slight memory leak corrected in channel manager order download.
Bug #232 - weights for kit items were inflated when importing orders from the website (channel manager)
Bug #233 - channel manager - lineitem exceptions for kit items (masters) were not evaluating properly
Bug #234 - occasional "invalid msg_destroy" error when importing orders from channel manager fixed
Bug #235 - improved CommerceV3 import categories function (dealing with mixed and lowercase category names)
Bug #236 - improved CommerceV3 product import utility when dealing with attribute items where the attribute products don't have their own SKU number
Bug #237 - fixed tag display function when dealing with categories that have single quote characters in them.
Bug #238 - when creating new tag data, immediately clicking to edit that same tag would result in blank data for that tag.
Bug #183 - item history and purged item history view would not work properly if using keyword function, exiting the screen, and then going back to the screen.
Bug #209 - ok_rent_mail and ok_rent_email settings were switched when dealing with customer/division preferences.
Bug #138 - merchant ID by customer type supported in using a Credit Card to payoff A/R invoices in cash receipts entry
Bug #239 - division setting was not moved to QUOTE table when saving order as quote
Bug #204 - the automatic prompt to print an order when the order is saved (when turned on) would not ask to print for order modifications, only new orders
Bug #228 - deconfirm would not cancel dropship PO lines if a dropship "optional" product
Bug #173 - import manifest confirm data would work the first time, but not subsequent times (would error with "datetime fields must be extracted to ASCII" error)
Bug #227 - purchase order entry - in rare occasions user could not access the lineitems grid after entering vendor information.  this has been fixed.
Bug #241 - PA-DSS - purge old data leaves masked credit card number intact, but removes encrypted data
Bug #166 - File / User / Change Password would not reset password properly.
Bug #242 - Amazon Connector - Verify Credentials Button was not working
Bug #243 - Amazon Connector - First/last name were both importing to ShipTo First Name.

****10.1.5105 Release Notes - March 21, 2011

Feature #188 - lineitem price lock - made more flexible so that price will change if you change the product ID (it would "stick" before)
Feature #204 - ZIPCode Maintenance view added - uses web service to update zipcodes and counties on demand.
               File / States/Taxes / Zipcode Maintenance - URL for zipcode maintenance is: service.colinear.com/zip.asp
               Update zipcodes as often as you like (we'll update the data at least quarterly).
               Update County data
Feature #244 - Orders on Hold Screen - Company name (if available) added in Square Brackets to order/customer information.
Feature #253 - Merge Quotes functionality added.
Feature #267 - Manual Reallocation - can now allocate an entire order from most recent orders.
Feature #278 - Can set default ship method per customer.
Feature #283 - can activate PO Edit from Vendor POs tab.
Feature #306 - add "rank" as a column to purchase order entry.  enable/disable in po setup.
Feature #311 - can apply payment to a customer with no open invoices (prepaid, or sent early, can apply to ONACCT).
Feature #315/#157 - Item Configurator - can add additional colors/settings per level without wiping out the existing worksheet and crossref.
Feature #335 - Closeout Items now suppressed from stock requirements report.
Feature #352 - Added Lineitem Alias/Entered ID (if used) to Order Review screen.
Feature #388 - DSA now sql stored procedure
Feature #417 - canadian address correction - address correction detects Canada addresses by zipcode and sends to separate Canadian address service.
Feature #422 - Expression Editor Buttons (e.g. in Inventory Items / General) now open blank expression editor view instead of doing nothing
Feature #467 - added Marketing tab to Vendors, allowing entry of marketing name/address plus comments field.
Feature #512 - "select a category" dialog now shows web-enabled categories in green.
Feature #513 - inventory color expression - color code inventory items in Inventory Items and Customer Service / Inventory
Feature #514 - dontallownegativeccconfirm.flg - added to flag options for one-pass credit card customers to prevent negative deposit records from creating for overpayments (hidden flag option)
Feature #515 - PCI - account lockout after X attempts, PCI - account inactivity after X days, PCI - password can't be the same as last X passwords
Feature #516 - changed help / technical support / support documents to send serial number to bypass new doc page login
Feature #516 - changed help / technical support / user group menu option to point to user group message board instead of old user group web page
Feature #517 - salesperson constraint testing (internal custlogintest.flg / discount paper products)
Feature #518 - Clone Items - now separates min/max quantities from stock quantities and allows for vendor standard cost entry.
Feature #519 (related to #417) fixed address error stop box to label "Address Error" or "Canada Address Error" to show which correction service was used.
Feature #520 [RSP05842] - never backorder placeholder items in channel manager
Feature #521 - Channel Manager / CommerceV3 - now supports posting up to 4 levels of attributes per item (Item Configurator).
Feature #522 - Channel Manager - now pushes order status back for CommerceV3 orders, using the "ship date" info (date shipped) and not the transaction date (date confirmed).
Feature #523 - prompt/search added to Quote PO Number.
Feature #524 - Order Entry - Customer Demographics tab renamed from "Demographics" to "Customer Demographics" to avoid confusion with Order Demographics tab.   Custom tab justification changed (slight change to look).
Feature #525 - Multiple ShipTo Orders could take a REALLY long time to print.   This was due to a bad index, fixed.
Feature #526 - Save & Print for multi-shipto order optimized.  Used to ask if everything printed ok for each shipto.  Now only asks once per order.
Feature #527 - DEPOSIT records created by one-pass credit card transactions now store OE-CC or DEP-CC in the check number field to indicate whether the capture was done in order entry or create/send deposits respectively.
Feature #528 - Orbital - setting AVSZip to blank when using AVSExtended information (internal / certification), and  adding AVSExtended information for e-commerce (all) force capture transactions (internal / certification)
Feature #529 - authorize.net configuration now supports developer accounts
Feature #530 - Can set customer default shipping address to use a prior shipping address. This overrides the billto/sold to address order entry normally uses.  To use this feature, choose a "prior shipping address" for the customer using customer maintenance, and set the label to "default".  If more than one default is set, Response will use the first one.
Feature #531 - Add ShipTo/Recipient detail to Order Shipments screen.
Feature #532 - View Credit Card Transactions screen now resizeable.
Feature #533 - changed to set large text fields (edits) to read_only instead of disabled so you can copy/paste data from them when disabled in security setup
Feature #534 - vendor screen now has multi-line tabs (too many tabs were forcing them off the screen)
Feature #535 - can confirm backordered shipto IDs manually using either the confirm by shipto ID or confirm by backordered shipto ID screen (could only use confirm backorders before)
Feature #536 - Credits/Debits - now displays last entered transaction data post-save.
Feature #537 - NCOA - changes to allow new format from peachtree data
Feature #540 - can add items to partially received purchase orders.
Feature #541 - Apply Customer Payments view now resizeable.
Feature #542 - Counter Sales - tax expression added to allow different types of products to be taxed at different rates.
Feature #543 - Added (O)ther status to Continuity Membership settings.
Feature #544 Can post a $0 customer payment in A/R for purposes of applying existing ONACCT balance.


Bug #122 - Picking Tickets - fixed problem where "remembered" warehouse selection in PSL would cause no orders to come up for print (no orders found to print).
Bug #126 - Hard Allocation Error related to Vendor Returns.  WHSINV.ALLOCATED was being set incorrectly, resulting in hard allocation error once vendor return was printed.
Bug #138 - A/R paying an invoice with a credit card number would result in truncated clear text credit card number in deposit check number field. (not considered PCI risk).  fixed.
Bug #142 - Removal of T Status orders was affecting inventory committed/allocated/etc even when order type was "QUOTE".  fixed.
Bug #168 - customers / add credit card - would not allow you to enter a credit card number unless  you first chose a credit card number from the dropdown, even if the default option might be a credit card
Bug #186 / RSP03797 - A/R Billing contact assigned to order, but got message "you've specified an A/R payment method, but have not assigned an A/R Billing contact".
Bug #246 - Contract Pricing Override - Flag Option was not working properly when set, fixed.
Bug #255 - Converting order to quote now removes HOLDORDS record / if exists.
Bug #268 - Avalara - when posting shipment data, the wrong transaction date was being posted (order versus shipment date)
Bug #272 - clone item function would not copy web/long description fields (text field too long errors).
Bug #273 - clone item function would not clone categories.
Bug #274 - catalog ID specified at Item Alias level would be lost on update
Bug #275 - Buying Groups were not being assigned for imported/web orders.
Bug #298 - "record not found RPRET1" logged to syserror repeatedly on returns analysis report.
Bug #300 - contact saved as prospect would not properly set ok_mail field to "Y" or "N" resulting in save errors when prospect modified.
Bug #301 add/modify contact would not properly set attachment indicator to show that attachments/notes/attributes were available
Bug #302 - gift card/gift certificate amount was not being calculated into balance due when modifying an order that was imported via the web
Bug #309 - could not enter unit cost of finished good in receipts/adjustments if product is a finished good.
bug #314 - product alias related - couldn't save product alias price, preference, or multipay code
Bug #315 - deconfirm could result in hard allocation error on next print if no default receiving bin exists for product.
Bug #319 - Contact Info would not save with order.  When adding contact informaiton from order entry screen (add contact), contact information would not always save/assign to the order.
Bug #321 - secsys - system file changed to lock on NEW saves only, not all saves - should relieve contention/deadlocks
Bug #322 - changed INVENTOR in bin.dd to lock on new save, rather than lock on all - should relieve contention
Bug #323 - Channel Manager was not setting order last shipto ID properly, could result in customer information overwriting shipto information in a rare sequence of events when the order is modified.
Bug #324 - Customer record with customer ID of zero could cause Order Entry validation errors when it would auto-find the customer ID zero record.
Bug #325 - Do Not Backorder was not working properly on kit masters - would fire too early causing items IN stock to not allocate.
Bug #326 - Order Entry - "Apply Changes" button in Order Entry / Demographics tab would not relocate when view resized.
Bug #327 - warning about modifying a "t" status order would not display if selecting an order from customer service lookup
Bug #328 - vendor extended demographics would not add/save in PO Entry/Edit screens.
Bug #329 - suspended Response session (Ctrl+f11) would not respect new passwords
Bug #330 - JulianDate function fixed (was off by one day)
Bug #331 - MFG allocation would over-allocate in some cases, fixed.
Bug #332 - appended two-digit day to month end archive files (to prevent losing data if month end for consecutive months run on first nad last day of current month).
Bug #333 - Magento "invalid node" error fixed.
Bug #334 - Channel Manager - importing xml_exp_month and xml_exp_year messages only operate on integer data.
Bug #335 - Channel Manager - request ship date and order date now stored properly in lineitem record.
Bug #336 - Changes to a PO could be lost when moving from items to totals back to items using PO Edit screen.
Bug #337 - addressed problem introducted in earlier 5105 build to correct multi-shipto orders from charging full shipping amount on each shipto
Bug #338 - gift card number, entered with spaces in Counter sales, would not identify properly.  fixed to not card about spaces.
Bug #339 - could "mark as captured" credit card tranasaction of any type.  now only allowing E, R, and N record types.

****5106 Release Notes, August 11, 2011

Feature #130 - Allow search/lookup by customer contact email address.
Feature #211 - clear_if_empty added to category post on CV3.  If a category description is removed, and an Item/Category post is performed, the blank data would NOT update on CV3.  This was corrected.
Feature #269 - Add Salesman ID & Item Extended Price to Order & Quotes History Views
Feature #269 - order/quotes history shows sales ID and extended price
Feature #275 - receipts/adjustments reason codes.   Can now use File / Reason Codes / Receipts and Adjustments Reasons to create pre-defined reason codes and use selector in Inventory Receipts and Adjustments.
Feature #280 - Inventory clone min/max qtys option - checkbox to clone min/max quantities added to clone item dialog.
Feature #302 - a/r inquiry by contact added
Feature #305 - inventorcolorexpression.fil - new flag option to set expression for color display for inventory items
Feature #316 - imports (product classes, categories, category/item, related items) added to import menus.  These were previously available only within the Channel Manager connector.
Feature #330 - lineitemothercharge.flg - flag option, when enabled, will store the calculated discount amount (based on coupon discounts, default discount rule, and fixed customer percent discount) per line in lineitem.other_charge which is useful for discount reporting on picking ticket/invoices/etc.
Feature #350 - clone item - now offers entry for vendor std cost
Feature #364 - continuity - smart item selection - supports number of items selection from continuity club record when selecting items from item list (number of each type to include)
Feature #400 - Authorize.Net Customer Information Manager (CIM) integration.  This is Authorize.Net's "token" approach to credit card storage/handling.  contact support@colinear.com for more information.
Feature #403 - Authorize.Net interface now supports test/developer accounts.
Feature #435 - Order "Other Fees" field added.  This field can be configured with a custom label, and a custom calculation rule to perform handling/special taxes/misc fees automatically on the order.  Flag options drive it's behavior: otherfeescalc.fil, otherfeeslabel.fil, showotherfeesfield.flg
Feature #467 - vendor marketing contact information tab added to vendor screen
Feature #498/#307 - ReOrder function / Clone Order Function.  New button available in customer service lookup / Orders, creates a copy of an order and loads in Order Entry.
Feature #512 - Prompt list for categories now shows web-enabled categories in green.
Feature #528 - Orbital Gateway now certified for Paymentech/Tampa/Versatalis Payment Processing.
Feature #531 - ShipTo/recipient detail added to order/customer/shipto shipments screens.
Feature #537 - Added checkbox to Peachtree Data NCOA Import screen to use old format if needed.
Feature #559 - Channel Manager Connector = now sending Popup, Large, and Thumbnail image links for the CV3 connector when present using replace_existing="true" flag.
Feature #563 - item description field length change to 120 characters.  Can limit the length of this field using the LimitItemDesc.fil flag option.
Feature #564 - Military StarCard integration - must be using TransFirst payment processing to utilize this, contact CoLinear for more information.
Feature #568 - Declined Credit Cards SPE - notices will only send for UNnotified declines (can be run multiple times per day), and adds audit trail logs of declined notification.
Feature #578 - callbacktoday.flg - use "old" method of defaulting to todays date on callback dialog in telemarketing instead of date plus the interval defined for callback for the lead.
Feature #579 - IndiaPayPaymentCodes.fil - IndiaPay off-shore credit card processor integration.  Contact CoLinear for more information.
Feature #580 - new Secondary Process (SPE) hook - standingorders.exp (for generating email when standing orders created)
Feature #584 - mark as capture in view cc now marks records exactly as send deposits/capture.
Feature #596 - Continuity Preferences - add lookup list for attribute selection in preference filters.
Feature #600 - Channel Manager - Product Rebuild - Added giftwrap tag settings/mappings.
Feature #620 - AltCharge eCheck integration - process electronic checks.  Contact CoLinear for more information.
Feature #621 - flag options view is now resizeable
Feature #629 - Added default billto contact setting for customers, allows setting of billing contact even if contact is not related to the current customer.
Feature #633 - new RMA status "received" and rmaretrec.flg flag option which, when enabled, moves RMA to "received" rather than "closed" status after return processed.
Feature #639 - Order Import / Channel Manager import - can import XML auth reference for Orbital for capture within Response.
Feature #649 - new SPE function - {get_if_info(message,<displayit>)} allows optional display of messages within color highlighting to create popups
Feature #653 - Salesperson / User restricted customer display.   Only show customers with salesman ID code equal to login username.   ctrl+period in customer service activates phone search screen added to search for customer by phone without displaying detailed customer information. contact CoLinear for more information.
Feature #659 - defaultshowingall.flg - Flag option to default all "Showing" drop-downs to "All" instead of the default of "30 Days"
Feature #677 - InstabillPaymentCodes.fil - InstaBill off-shore credit card processor integration.  Contact CoLinear for more information.
Feature #699 - New Flag Option WindowsTapiDial.flg - Use Windows TAPI for outbound dialing.  This flag options overrides the default behavior of dialing through the TAPI Response control.
Feature #700 - Functions added for actual rate quotes from USPS, visual display of rate shop, and usps rate SPE functions for ship charge expressions.
Feature #701 - will not display substitute item(s) in auto-popup if substitute is closeout and <= 0 available
Feature #704 - added "showing" dropdown for customer returns
Feature #705 - disableitempost.flg - disables the queue build when products updated.  Disabling this will improve performance if not using Channel Manager.
Feature #706 - novendordelayprompt.flg - removes the prompt for "Is this the result of Vendor Delay" question when extending PO expected date in PO Edit.
Feature #707 - Optimized Attachments/Record Notes/Attributes detection
Feature #712 - Added vendor purchasing qty price breaks.
Feature #722 - ReOrder Button changed to not copy misc chrg, discount amounts, and coupon codes.
Feature #724 - Optimization - Startup and range refresh of picking tickets SQL optimized
Feature #725 - Optimization - Batching of orders in Picking Tickets and Authorize New Orders made 50% - 75% faster when large order number ranges used.
Feature #727 - Manufacturing - components consumed - added mtd/ytd consumed and monthly history components consumed to get a full picture of product needed
Feature #728 - TransFirst - flag option TransFirstCardTypesWipeAuths.fil - contains payment codes to wipe auth on capture/partial capture (for non-compliance of amex/etc)
Feature #729 - item history grid - improved performance on PO display.
Feature #730 - vendor POs - optimize vendor Purchase Orders tab in vendors screen.
Feature #731 - Manufacturing - added drilldown to inventory items view on committed_mfg, allocated_mfg, qty_being_mfg
Feature #732 - Inventory Drilldowns in Stock Tab - made resizeable, optimized with SQL Constraints, now return instant data
Feature #733 - inventory monthly history - added option to set number of months to use for calculating average, including kit units and components consumed in average usage, improved resize
Feature #734 - quotations - order to quote to order conversion re-coded/optimized stored procedures
Feature #735 - Inventory Audit Trail - added new flag option EnableInventoryAudit.flg which allows setting fields to audit within the built-in security system.  Auditing for all tables disabled by default.
Feature #737 - new response.vd7 is 5MB smaller, increases client load time by 20%

Bug #139 - disallow printed lines from being modified in order entry
Bug #174/#320 - security on "select" button in customer orders was not respected
Bug #283 - customer fixed percent discount now supported in counter sales
Bug #290 - contact orders was very slow, added index/customer constraint to improve speed
Bug #315 - deconfirm could cause hard allocation errors in rare cases
Bug #316 - deconfirm could act on incorrect item ID in rare cases
Bug #319 - contact record would not always "stick" in order entry on initial entry.
Bug #321 - secsys - dd_lock_on_new_save (instead of all) relieves lock contention (extension of 5105 fixes)
Bug #340/#356 -  "attempt to edit a protected record" error when changing a bin from pickable to nonpickable or vice/versa.
Bug #342 - Amazon Connector - was sending wrong shipment date, was sending ship date minus 1 day.  This was corrected.
Bug #343 - Price Rounding - When lineitem pricing uses more than 2 decimal places, there was a problem with rounding multiple quantities.
Bug #344 - Zero Dollar Multi ShipTo Orders would overcharge shipping (would charge full order amount on EACH shipto).
Bug #345 - Import Contract Pricing results in "Please Enter a Valid Record ID" error
Bug #346 - Enter Voice Authorizations - "Please Enter a Valid Record ID" on State ID field.
Bug #347 - Authorize.Net - Pay A/R with Credit Card - would continue to apply payment even if credit card declined.
Bug #350 - Telemarketing callback time needs to be 4 digit to allow sorting properly
Bug #357 - customers not always added to buying group correctly for imported orders
Bug #362 - contact demographics (checkboxes) were not working properly.  .
Bug #364 - security - temporary lockout settings now properly respected.
Bug #367 - shipto.request_ship date blank for counter sales, resulting in inability to post credit through credit/debits.
Bug #370 - Crystal BUG -- if spaces in a unique identifier from a limitto dialog, it would separate with spaces.
Bug #382 - receiving finished goods would not reduce qty on hand of component if bins not pickable.
Bug #387 - "extended field not defined" error when creating external order demographics greater than 256 length.
Bug #391 - avatax bug - when lines split to multiple bins during picking ticket, the avatax invoice creation would fail for "duplicate line number".  This was corrected.
Bug #395 - service items were allocating a maximum of 99999, increased to 99999999 (library store)
Bug #396 - blank item ids could add to item alias / ItmAliases not properly added to itmlkup / deletion of item lookup records made more efficient
Bug #398 - "extended field not defined" error in Vendors related to new vendor comment field.
Bug #403 - add listview and date pickers to security object browser, enabled security on inventory item tags to not allow popup/edit when tag list set to "disabled" in security
Bug #405 - workorders/woitems, when split across bin locations, would not properly reduce the inventory in those bin locations when combined during receipt
Bug #406 - woitems.allocated not properly incremented during unreceive
Bug #407 - declined credit card report was not respecting division settings
Bug #408 - enabled security on "edit details" button in inventory items / vendor information to prevent edit of vendor item description/etc.
Bug #409 - standing orders - would not create ordermsg record correctly when creating new standing orders.
Bug #410 - "record not found mediacd" logged to syserror.log when creating a standing order.
Bug #411 - Authorize.Net one-pass retries for failed prior-auth-captures now send avs information (auth.net)
Bug #412 - attempting to modify order from customer orders screen wwould not warn that order was in "t" status.
Bug #413 - order/quote handling rewritten using stored procedures.
Bug #416 - Inventory Work Type field would allow mixed case, now forces uppercase
Bug #417 - counter sales was not using the proper origin/destination data when sending data to avatax.
Bug #420 - Channel Manager - IOX map to ORD_D would not work properly.  This has been addressed.
Bug #421 - Disabled TAPI log to prevent multi-user contention on a large text/log file (\r4w\bin\tapiex_log.txt)
Bug #438 - Workorder Job filter was very slow (in manage jobs)
Bug #439 - blank record deletion - added deletion of blank/invalid whsinv/pohead/quote/qshipto/qline records to Response startup operation.
Bug #440 - Contact search list in order entry was not properly constrained to contacts for the current customer when the search was in initiated from contact company
Bug #441 - Quote lineitem records remaining in the SYSOENT/LINEITEM tables would be incorrectly included in the committed quantity during check/correct allocated items
Bug #442 - could change the item ID on a workorder that is in progress, fixed to only allow changes to qty/etc.
Bug #443 - Workorder - inventory would not allocate to partially printed workorder line.

****5107 Release Notes, October 6, 2011

Feature #690 - quote details screen shows quote date instead of ship date
Feature #718 - Import deposits against orders
Feature #802 - Kit Component Substitutes - auto-substitution components and quantities can be defined in the kit definition.
Feature #803 - Backorder Substitutes - substitutes and quantitites can be entered against an item and open backorders for the item can be substituted
Feature #830 - Zone constraints in picking tickets - allows to restrict items selected/picked to a specific zone (overrides hard allocation).
Feature #884 - Flag Option ItemIDKeywords.flg - parse the Item ID into keywords (normally only includes the Item ID as a keyword)
Feature #911 - Reverse Phone Lookup is enabled by default until 12/31/2011.  Use for free until then!!  After that it is only $0.10 per transaction, contact CoLinear for more information.
Feature #912 - Flag Option ContinuityForceGenOrder.flg - Attempt to create a prototype order, including lineitems, using the item lists and prefernces for the current membership.
Feature #913 - Temporary Licensing - Seasonal user licenses are now available for Response. See follow-up FAQ for more information.
Feature #914 - PBX/Caller ID/Screen Pop module now works with cloud-based and VOIP-based phone systems, no TAPI required!  contact CoLinear for more information.
Feature #915 - Receipts/Adjustments record comments for components on received workorder now includes the workorder job number in addition to the master ID which consumed the component.
Feature #916 - life sales dollars and life profit numbers now updated for customer.

Bug #216 - order demographics would not always display properly in customer service lookup / orders / demographics button.
Bug #264 - polines in X status could be received using import/receive dropship purchase orders.
Bug #277 - on order qty would OVER-reduce when canceling an order containing drop-ship lineitems
Bug #384 - Avalara rate calculation was incorrect for returns posted against Store (Counter Sales) orders.
Bug #386 - amazon cancel/modify order feed would send the same feed over and over, causing Response to freeze
Bug #444 - Authorization button in Order Entry fails silently when customer state code is blank.
Bug #447 - order clone - "other charge" was not zeroed for the newly cloned order.
Bug #458 - quote to order function now recalculates UFO/UFS/UFI percentages correctly.
Bug #471 - item description length was not supporting the flag option setting LimitItemDesc.fil (can be anything up to 120 characters).   default is 80.
Bug #473 - when exiting Response - "you are modifying this order, you must save" error prevents exit after "applying" order demographics.
Bug #474/#446 - single quote in category name would cause problems adding new or updating categories, and the category tree would not display properly.
Bug #475 - Auth.Net CIM/Token - "&" character in name/company would cause failed authorizations
Bug #476 - order number was not always correct for lineitems (could orphan) when changing the shipto on a kit lineitem.
Bug #477 - disabled NEW RMA button for customer service customers view (need to have a specific order, use NEW RMA button in the Orders screen instead)

****5108 Release Notes, January 25, 2012

Feature #0117 - Import PO Expected Receipt dates
Feature #0142 - Vendor Comments Optimization Improvement 1 - if there are a lot of comments it can take a minute to open.
Feature #0142 - Vendor Comments Optimization Improvement 2 - if you click the comments button in the pos by number/item/vendor view it auto-finds a comment for the highlighted PO.
Feature #0142 - Vendor Comments Optimization Improvement 3 - When you edit a po comment it returns you to where you were in the list instead of the beginning of the list.
Feature #0142 - Vendor Comments Optimization Improvement 4 - Vendor Comments view made resizeable.
Feature #0142 - Vendor Comments Optimization Improvement 5 - Separated Add and View functionality to allow easier navigation.
Feature #0232 - amazon - added option to NOT send order cancellation feed to Amazon when canceling the order in Response
Feature #0285 - new field - inventory dropship committed - does not affect available, tracks dropships separate from fulfilled in-house product
Feature #0423 - Default First Shipto Blank (don't create customer shipto) - Rumas
Feature #0630 - customer invoice details by contact ID
Feature #0718 - Import Deposits
Feature #0801 - distribute item allocation among lines on an order (O&C)
Feature #0802 - Allow product substituion specification per component per master
Feature #0803 - Kit Component Substition - Check and Substitute Backordered Kits
Feature #0822 - added new fields to customer service lookup / inventory: price code 2, allocated/committed/being MFG, dimensions, weight
Feature #0822 - added new fields to customer service lookup / quotes: shipto country, weight, UPS rates button
Feature #0888 - force recalc all before auth [flag option]
Feature #0914 - .fil for DBAgents - for DB-based pbx pops
Feature #0945 - Avalara/Avatax - allow setting of shipping tax code from within Response
Feature #0945 - Avalara/Avatax - collecting/sending customer usage type
Feature #0945 - Avalara/Avatax - collecting/sending product tax code if present
Feature #0945 - Avalara/Avatax - sending client indicator when sending tax transactions
Feature #0945 - Avalara/Avatax - sending customer exemption number if present
Feature #0950 - inventory now allocates when moving from an unpickable bin to a pickable bin
Feature #0951 - cv3 tracking notification - send tracking with confirm feed with CV3 orders [flag option]
Feature #0952 - CommerceV3 Custom Fields expanded from 16 to 35.
Feature #0956 - gift cards - virtual cards automatically created/fulfilled when picking tickets created.
Feature #0957 - options now stored in memory rather than db table
Feature #0970 - Added "Remove Lead" button to telemarketing call list
Feature #0974 - amazon - addressed throttling issues
Feature #0977 - default contact type: default contact type setting [flag option]
Feature #0981 - cv3 send contact id - send contact ID (if available) rather than customer ID when sending confirm/customer ID to cv3 on shipment [flag option]  If contact ID available in order download, it is a contact, not the customer.
Feature #0986 - referral field label setting (e.g. call it "district") [flag option]
Feature #0992 - added state constraint to continuity order generation routine
Feature #1007 - Channel Manager / CommerceV3 Item Status Business Rules
Feature #1018 - date picker control resizeable
Feature #1019 - multi-line text fields on import of CSV files for Inventory Import
Feature #1020 - A/R Statements by contact / summarize by contact / stored procedures
Feature #1021 - flag option, order sources for which to NOT update the customer payment profile (for not updating a customer's payment profile with a dummy credit card number!)
Feature #1022 - added customers tab to referral view to view customers by referral.
Feature #1023 - Referral ID now auto-finds record when tabbing out of the field.
Feature #1024 - Referral Company Name now allows lookup.
Feature #1025 - expected receipt date red when overdue, green when due today, regular otherwise
Feature #1026 - Referral can specify default billing contact ID
Feature #1027 - Resubmit SPE option
Feature #1028 - A/R Payments - added hot-keys for paying invoices, added additional information to invoice grid.
Feature #1029 - including order number when sending refunds / auth/captures/retries

Bug #113 - View POs by Order Number would not show all dropship POS for the order - would only show 1 per shipto.
Bug #118 - adds warning when entering a default receiving bin for a product that does not exist
Bug #141 - exporting shipto or customer shipping address as contact would not export Phone
Bug #200 - eCheck orders using Authorize.Net processor were allowed to print without auth code.
Bug #200 - was not archiving echeck log at Month End - now archives to echecYYMMDD.log
Bug #216 - saving order demographics would cause customer information to become "sticky" and remain on screen when order cleared
Bug #251 - Inventory Items / View Only / Kit Tab - changed Tree View hot-key to Alt+E (was Alt+t, same as Stock tab)
Bug #256 - canceling a PO/dropship PO would over-reduce inventory on order qty
Bug #266 - updating the country on customer shipping addresses would not save, would revert to USA.
Bug #384 - AvaTax - could use improper origin for counter sales orders
Bug #435 - components consumed fields were not updating properly in item history view
Bug #435 - components consumed month and year were not updating correctly
Bug #435 - components consumed was not updated during un-receive
Bug #436 - Vendor / Pricing tab would display incorrectly when finding new vendors (would update pricing list, but not display proper vendor name)
Bug #437 - receiving workorder jobs would over-reduce or under-reduce inventory
Bug #455 - PO un-receive was over-increasing available qty (check on this)
Bug #471 - inventor description length was not limited when using the "limit item description length" setting
Bug #482 - cust_if_info function for color expression and customer popups (replaced if_info)  now only displays customer popups once, AND as top-most window rather than behind/separate from Response window
Bug #485 - removing a coupon from an order would leave item discount amount in "other charge" field for lineitems
Bug #488 - could unreceive an already un-received workorder job.
Bug #488 - Display more descriptive results when unreceiving workorder jobs.
Bug #488 - ensure that there is enough on hand in BIN locations to allow for workorder un-receive (maybe already allocated, e.g.)
Bug #491 - don't allow customer deltion (temp customer deletion) nocustdel.flg [flag option]
Bug #503 - "required message argument missing" when adding new RMA.
Bug #513 - TransFirst - disallow retail transactions for the same amount, same order number (duplicate prevention)
Bug #515 - Promotional media - Start and End Date were both showing End Date.
Bug #520 - Changes to default shipto address would not apply (when using default shipping address for a customer)
bug #523 - rebuild inventory keywords would abort with "file not open"
Bug #526 - avalara - returns tax calculation would pass discount amounts improperly, resulting in UNDER refund of tax.
Bug #527 - catalog differential pricing would not work if expiration dates used
Bug #528 - don't store "quote" as payment code for customer
Bug #528 - when creating a new customer while entering a quote, the stored payment code with the customer could be set to "QUOTE"
Bug #529 - Customer Lookup would not constrain to zipcode without last name also entered
Bug #530 - amazon - importing orders was not FIFO.
Bug #532 - amazon - converting imported state names to state abbreviations (Amazon sends both)
Bug #533 - Box Configuration would contain dropship items
Bug #534 - Multi-Shipto orders in different statuses would prevent user from etnering linetiems area of order entry.
Bug #535 - DeConfirm - was not correctly storing gift card amount or other fees in erversing OSHIPTRN record.
Bug #536 - FedEx Rates - don't calculate if weight is zero or if origin or destination zip are blank
Bug #537 - user settings for view sizes/locations no longer reset with new builds.
Bug #538 - Free/Discounted Shipping coupon expression was failing
Bug #539 - supervisor orders menu was graying incorrect menu item, making allocate inventory to lines inaccessible to all but supervisors
Bug #540 - aliases longer than 16 characters were not properly supported when importing from Amazon and CV3.
Bug #541 - preferred vendor now read-only in customer service lookup / inventory
Bug #542 - pick by zone not working properly...
Bug #543 - Reset button in Workorder Jobs was not relocating properly on screen re-size
Bug #544 - deleting a Vendor Return would leave qty 2 B picked in inventory/bin locations
Bug #545 - vendor returns would only add 1 item at a time when using "scan for items"


****5109 Release Notes, March 29, 2012
Features - 5109          
151         Add Price (based on price code being used) to OE Substitute Pop Up
607         Add Weight to Customer Service Quote Lookup Screen
608         Changes to Vendor View > Purchase Orders Tab
641         suppress check # input window
672         Flag Options - SQL Table
812         View the Quote Audit Trail (ORDERLOG) from the customer service quotes tab using Ctrl+T
962         Add Vendor Rank to Read Only Inventory Items View.
1012       Add Credit Level to Merge/Purge Duplicates Screen
1031       Coupon Manager - Uses/cust & Uses/coupon Logic
1036       Modifying an Order On Hold > Hit the Hold button > Prompt for reason
1042       Add an auto-recalculate to Quote
1043       Save and Print will now log data correctly to the order audit trail
1051       Lineitem Personalization Information Popup
1056       Generating Order From Exceptions Specific Log Record
1061       eMerchant / USA ePay - Credit Card Processor Support
1062       Paying invoice sets the check number to the payment code and the invoice number (instead of the last 4 digits of the CC#).
1069       Do Not Backorder in PO Creation Quote request flag option created
1070       Override Auth Amount with Formula

Defects/Bugs - 5109
123         Deleting Daily Deposit entry does not log audit trail step
127         Delete Categories doesn't delete Categinv records associated to those categories
146         Contacts don't merge
151         Editing Deleted Quotes
196         HTML Preview - Special Character display incorrectly
210         Purge old orders doesn't remove ORDERLOG entries
214         Category & Item Management - Category Drag and Drop Defects
259         POs by Number View - Vendor Name field is blank
265         Check Correct Allocated Items makes Shippable $ Value Negative (Sometimes)
270         Shipto Address country field allows invalid countries
306         Import/Update Order Media Code utility doesn't update oshiptrn and lshiptrn
308         BILLTO Switching , sysoent.customer_id changing to an incorrect value
317         Dropship PO notification before Order is cancelled.
427         Projected Inventory Requirements Includes Cancelled Orders
459         Lineitem work records not created when convering a quote to an order
493         Cv3 - Expected Receipt date and the cv3 backorder date field
506         Service Item ... Receipt vs. work order
508         Vendor View. Comment Add Button doesn't resize properly
511         Deleting a product does not remove the TAG records related
516         Inventory Net Value Report - Include Items with 0 qty on hand actually excludes these items by using a > 0
518         Default iship flag option tracking URL broken
521         Re-Order Feature always copies previous orders salesman
547         Variable Kit Component quantities not correctly recalculated when decreasing the order quantity.
548         CV3GiftWrap Tag False Value Causes Bad XML Errors
549         Keyword Search update not respecting the nfrkeywords.flg ( "Not for Retail Sale")
552         Variable kit component quantities broken on master quantity change
554         Kill T Status Orders and Reorder would not update DS_Committed properly, and thus over-reduce available qty.
555         Configured Base SKUs being set to Out of Stock on cv3.
556         Service Items appear out of Stock on Cv3
560         cust_shipto_id <> -1 if flag option blankfirstship.flg is enabled.
561         AvaTax connector: respect restriction for shipto states
564         Switching Shiptos for Kit Items 
565         MIMPORT Tracking Number field too small for USPS Tracking #
567         buying groups not assigned or updated properly
568         Personalization (PERSLINE) records not removed when lineitem ID changed
569         Order Import - Customer Matching & Merge
572         Amazon TimeStamp Issue
573         Merge As Contact - respects default contact type
578         Delete T Status Orders would reduce mtd/ytd counters when the order was a quote.
579         Inventory Items - Can't Enter Cost on New Item
581         Customer Merge Doesn't Merge Contacts


****end release notes